% Die Funktion berechnet auf Basis der Funktion bisect aus den Kursunterlagen
% die Nullstellen der bergebenen Funktion. Gendert wurde die Anzahl der
% Parameter: der Winkel phi kann zustzlich bergeben werden und wird zur
% Berechnung herangezogen.

function c = nullstelle(fn, phi, a, b, tol)
	format long;
	if (sign(feval(fn, phi, a)) == sign(feval(fn, phi, b)))
		c = NaN;
	else
		while ((b - a) > tol)
			c = (b+a)/2;
			if (feval(fn, phi, c) == 0)
				a = c; b = c;
			else
				if (sign(feval(fn, phi, a)) ~= sign(feval(fn, phi, c)))
					b = c;	
				else
					a = c;
				end
			end
		end
	end
end